com.smartgwt.client.types

## Enum RecategorizeMode

- java.lang.Object
- - java.lang.Enum<RecategorizeMode>
  - - com.smartgwt.client.types.RecategorizeMode

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<RecategorizeMode>

      public enum RecategorizeMode
      extends java.lang.Enum<RecategorizeMode>
      implements ValueEnum

  Type for controlling when a "recategorize" is applied to records being dropped on a databound component from another databound component.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS` recategorize is always applied
    `CHECKED` recategorize if normal checks pass
    `NEVER` never recategorize

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static RecategorizeMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RecategorizeMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALWAYS

          public static final RecategorizeMode ALWAYS

      recategorize is always applied

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "always".

    - #### CHECKED

          public static final RecategorizeMode CHECKED

      recategorize if normal checks pass

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "checked".

    - #### NEVER

          public static final RecategorizeMode NEVER

      never recategorize

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "never".

  - ### Method Detail

    - #### values

          public static RecategorizeMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RecategorizeMode c : RecategorizeMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RecategorizeMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`